Bug 466241 - Review Request: starlab - A Software Environment for Collisional Stellar Dynamics
Review Request: starlab - A Software Environment for Collisional Stellar Dyna...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 07:53 EDT by Lubomir Rintel
Modified: 2008-10-13 06:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 06:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2008-10-09 07:53:21 EDT
SPEC: http://netbsd.sk/~lkundrak/SPECS/starlab.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/starlab-4.4.3-2.el5.src.rpm

Description:

Starlab is a collection of modular software tools designed to simulate the
evolution of stars and stellar systems, and analyze the resulting data.

Starlab consists of a library of loosely coupled programs, sharing a common
flexible data structure, which can be combined in arbitrarily complex ways
to study the dynamics and evolution of binary and multiple star systems,
star clusters and galactic nuclei.
Comment 1 Lubomir Rintel 2008-10-09 07:54:17 EDT
Assigning to marek, since he already informally began the review and pointed out problems that were in turn solved.
Comment 2 Lubomir Rintel 2008-10-09 07:55:07 EDT
Last time I checked rpmlint was silent, and mock builds in el5 and devel succeeded.
Comment 3 Marek Mahut 2008-10-09 17:23:43 EDT
+ source files match upstream:
     211f313ffbef0e7a477c234ee00b8adb (upstream changes this from time to time)
+ package meets naming and versioning guidelines
+ specfile is properly named, is cleanly written and uses macros consistently
+ dist tag is present
+ %clean is present
+ package builds in mock (f8, devel)
+ package installs properly (f8)
- file /usr/bin/starplot from install of starlab-4.4.3-1.fc8.i386 conflicts with file from package starplot-0.95.5-1.fc8.i386

Please fix this issue, probably by renaming (and documenting) it :)
Comment 4 Lubomir Rintel 2008-10-11 16:42:58 EDT
(In reply to comment #3)
> - file /usr/bin/starplot from install of starlab-4.4.3-1.fc8.i386 conflicts
> with file from package starplot-0.95.5-1.fc8.i386

I renamed it to tstarplot (as opposed to xstarplot, which is X11-based displayer)

SPEC: http://netbsd.sk/~lkundrak/SPECS/starlab.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/starlab-4.4.3-3.el5.src.rpm
Comment 5 Marek Mahut 2008-10-11 16:51:36 EDT
Thanks, you rock. approved.
Comment 6 Lubomir Rintel 2008-10-12 03:21:03 EDT
New Package CVS Request
=======================
Package Name: starlab
Short Description: A Software Environment for Collisional Stellar Dynamics
Owners: lkundrak
Branches: EL-5 F-9
Comment 7 Kevin Fenzi 2008-10-12 21:56:47 EDT
cvs done.
Comment 8 Lubomir Rintel 2008-10-13 06:53:50 EDT
Thanks for the review Marek!
Thanks for CVS branches Kevin!
Thanks for the package Lubomir. Eeeek.

Note You need to log in before you can comment on or make changes to this bug.